> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cartesia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List all pronunciation dictionaries for the authenticated user



## OpenAPI

````yaml /latest.yml GET /pronunciation-dicts/
openapi: 3.0.1
info:
  title: Cartesia API
  version: 0.0.1
servers:
  - url: https://api.cartesia.ai
    description: Production
security: []
paths:
  /pronunciation-dicts/:
    get:
      tags:
        - PronunciationDicts
      description: List all pronunciation dictionaries for the authenticated user
      operationId: pronunciationDicts_list
      parameters:
        - $ref: '#/components/parameters/CartesiaVersionHeader'
        - name: limit
          in: query
          description: >-
            The number of dictionaries to return per page, ranging between 1 and
            100.
          required: false
          schema:
            type: integer
            nullable: true
        - name: starting_after
          in: query
          description: >-
            A cursor to use in pagination. `starting_after` is a dictionary ID
            that defines your

            place in the list. For example, if you make a request and receive 20
            objects, ending

            with `dict_abc123`, your subsequent call can include
            `starting_after=dict_abc123`

            to fetch the next page of the list.
          required: false
          schema:
            type: string
            nullable: true
        - name: ending_before
          in: query
          description: >-
            A cursor to use in pagination. `ending_before` is a dictionary ID
            that defines your

            place in the list. For example, if you make a request and receive 20
            objects, starting

            with `dict_abc123`, your subsequent call can include
            `ending_before=dict_abc123`

            to fetch the previous page of the list.
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedPronunciationDicts'
      security:
        - APIKeyAuth: []
components:
  parameters:
    CartesiaVersionHeader:
      name: Cartesia-Version
      in: header
      description: API version header.
      required: true
      schema:
        type: string
        format: date
        example: '2026-03-01'
        enum:
          - '2026-03-01'
  schemas:
    PaginatedPronunciationDicts:
      title: PaginatedPronunciationDicts
      type: object
      description: Paginated list of pronunciation dictionaries
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PronunciationDict'
          description: List of pronunciation dictionary objects
        has_more:
          type: boolean
          description: Whether there are more dictionaries available
      required:
        - data
        - has_more
    PronunciationDict:
      title: PronunciationDict
      type: object
      description: A dictionary of text-to-pronunciation mappings
      properties:
        id:
          type: string
          description: Unique identifier for the pronunciation dictionary
        name:
          type: string
          description: Name of the pronunciation dictionary
        owner_id:
          type: string
          description: ID of the user who owns this dictionary
        pinned:
          type: boolean
          description: Whether this dictionary is pinned for the user
        items:
          type: array
          items:
            $ref: '#/components/schemas/PronunciationDictItem'
          description: List of text-to-pronunciation mappings
        created_at:
          type: string
          description: ISO 8601 timestamp of when the dictionary was created
      required:
        - id
        - name
        - owner_id
        - pinned
        - items
        - created_at
    PronunciationDictItem:
      title: PronunciationDictItem
      type: object
      description: A pronunciation dictionary item mapping text to a custom pronunciation
      properties:
        text:
          type: string
          description: The original text to be replaced
        pronunciation:
          type: string
          description: >-
            A phonetic representation or text to be said in place of the
            original text
        alias:
          type: string
          deprecated: true
          description: >-
            Deprecated. Use `pronunciation` instead. This field is accepted in
            requests and may be returned for backwards compatibility.
      required:
        - text
        - pronunciation
  securitySchemes:
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Cartesia API key (`sk_car_...`). Get one at
        [play.cartesia.ai/keys](https://play.cartesia.ai/keys).

````